Summary: A yum plugin supporting automated kmdl coinstalls
Name: yum-plugin-kmdl
Version: 0.8
Release: 11%{?dist}
License: GPL
Group: System Environment/Base
Source0: kmdl.py
Source1: kmdl-2.6.py
Source2: kmdl.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: yum

%description
This yum plugin ensures that new kernel packages will get the same
"kmdls" installed like the currently installed kernels have.

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/yum/pluginconf.d
mkdir -p %{buildroot}%{_libdir}/yum-plugins
if [ "`yum --version -e 0 -d 0 | head -n 1 | awk -F. '{print $1}'`" = 3 ]; then
  install -p -m 644 %{SOURCE0} %{buildroot}%{_libdir}/yum-plugins/kmdl.py
else
  install -p -m 644 %{SOURCE1} %{buildroot}%{_libdir}/yum-plugins/kmdl.py
fi
install -p -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/yum/pluginconf.d

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/kmdl.conf
%{_libdir}/yum-plugins/*

%changelog
* Sun Jun  1 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.8-10
- Add support for F9 and tuxonice.

* Thu May 24 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.7-9
- Fix bugs #1132, #1141, #1190.

* Mon Feb 19 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.6-8
- Add support for kernel-suspend2 series.

* Sun Mar 12 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.1-1
- Initial build.

